Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class EnvironmentImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.EnvironmentImpl

All Implemented Interfaces:
  java.util.EventListener, ThreadCleanupListener, Environment

    public class EnvironmentImpl

extends java.lang.Object
implements Environment, ThreadCleanupListener

A non-threadsafe implementation (expects to use the "perthread" service lifecyle).

Constructor Summary
`EnvironmentImpl()`

Method Summary
`void` | `clear()` Clears all stacks; no longer used by Tapestry.
`void` | `cloak()` Hides all current environment values, making the Environment object appear empty, until a call to `Environment.decloak()`} restores the original state.
`void` | `decloak()` Restores state previously hidden by `Environment.cloak()`}.
`
`<T> T`
` | `peek(java.lang.Class<T> type)` Peeks at the current top of the indicated stack.
`
`<T> T`
` | `peekRequired(java.lang.Class<T> type)` Peeks at the current top of the indicated stack (which must have a non-null value).
`
`<T> T`
` | `pop(java.lang.Class<T> type)` Removes and returns the top environmental object of the selected type.
`
`<T> T`
` | `push(java.lang.Class<T> type, T instance)` Pushes a new service onto the stack.
`void` | `threadDidCleanup()` Invoked by `PerthreadManager` service when a thread performs and end-of-request cleanup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvironmentImpl

    public EnvironmentImpl()

Method Detail

### peek

    public <T> T peek(java.lang.Class<T> type)

  Description copied from interface: `Environment`
  Peeks at the current top of the indicated stack.

  Specified by:
    `peek` in interface `Environment`
  Type Parameters:
    `T` - the type of environmental object
  Parameters:
    `type` - class used to select the object
  Returns:
    the current object of that type, or null if no service of that type has been added

### peekRequired

    public <T> T peekRequired(java.lang.Class<T> type)

  Description copied from interface: `Environment`
  Peeks at the current top of the indicated stack (which must have a non-null value).

  Specified by:
    `peekRequired` in interface `Environment`
  Type Parameters:
    `T` - the type of environmental object
  Parameters:
    `type` - class used to select the object
  Returns:
    the current object of the specified type

### pop

    public <T> T pop(java.lang.Class<T> type)

  Description copied from interface: `Environment`
  Removes and returns the top environmental object of the selected type.

  Specified by:
    `pop` in interface `Environment`
  Type Parameters:
    `T` - the type of environmental object
  Parameters:
    `type` - class used to select the object
  Returns:
    the object just removed

### push

    public <T> T push(java.lang.Class<T> type,
                      T instance)

  Description copied from interface: `Environment`
  Pushes a new service onto the stack. The old service at the top of the stack is returned (it may be null).

  Specified by:
    `push` in interface `Environment`
  Type Parameters:
    `T` - the type of environmental object
  Parameters:
    `type` - class used to select the object
    `instance` - the service object
  Returns:
    the previous top service

### clear

    public void clear()

  Description copied from interface: `Environment`
  Clears all stacks; no longer used by Tapestry.

  Specified by:
    `clear` in interface `Environment`

### threadDidCleanup

    public void threadDidCleanup()

  Description copied from interface: `ThreadCleanupListener`
  Invoked by `PerthreadManager` service when a thread performs and end-of-request cleanup.

  Specified by:
    `threadDidCleanup` in interface `ThreadCleanupListener`

### cloak

    public void cloak()

  Description copied from interface: `Environment`
  Hides all current environment values, making the Environment object appear empty, until a call to `Environment.decloak()`} restores the original state.

  Specified by:
    `cloak` in interface `Environment`

### decloak

    public void decloak()

  Description copied from interface: `Environment`
  Restores state previously hidden by `Environment.cloak()`}.

  Specified by:
    `decloak` in interface `Environment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.